Skip to main content
PUT
/
knowledge-base
/
{knowledgeBaseId}
Update Knowledge Base
curl --request PUT \
  --url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "name": "Updated Product Docs"
}
'
{
  "knowledgeBase": {
    "id": "kb_abc123def456",
    "locationId": "ve9EPM428h8vShlRW1KT",
    "name": "Product Documentation",
    "urlCount": 15,
    "faqCount": 42,
    "status": "active",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

knowledgeBaseId
string
required

The unique identifier for the knowledge base

Example:

"kb_abc123def456"

Body

application/json
name
string

Updated name of the knowledge base

Example:

"Updated Product Docs"

Response

Knowledge base updated successfully

knowledgeBase
object
Last modified on March 7, 2026